#ifndef ADMINWINDOW_H
#define ADMINWINDOW_H

#include "testentity.h"
#include "addnewtestwidget.h"
#include "deletetestwidget.h"

#include <QWidget>
#include <QPalette>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QSqlQueryModel>
#include <QTableView>
#include <QStandardItemModel>

namespace Ui {
class adminwindow;
}

class adminwindow : public QWidget
{
    Q_OBJECT

public:
    explicit adminwindow(QWidget *parent = nullptr);
    ~adminwindow();
public slots:
    void addNewTest();
    void hideStartWindow();
    void showStartWindow();
    void checkStats();
    void hideAddWidget();
    void deleteTest();


private:
    TestEntity *testToAdd;
    Ui::adminwindow *ui;
    QSqlDatabase db;
    QTableView *results;
    addNewTestWidget *newTestWidget;
    deletetestwidget *deleteWidget;

};

#endif // ADMINWINDOW_H
